org.h2.command.query

## Class AllColumnsForPlan

- java.lang.Object
- - org.h2.command.query.AllColumnsForPlan

    public class AllColumnsForPlan
    extends java.lang.Object

This information is expensive to compute for large queries, so do so on-demand. Also store the information pre-mapped by table to avoid expensive traversal.

### Constructor Summary

Constructors
Constructor and Description
`AllColumnsForPlan(TableFilter[] filters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Column newCol)` Called by ExpressionVisitor.
`java.util.ArrayList<Column>` `get(Table table)` Used by index to calculate the cost of a scan.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AllColumnsForPlan

    public AllColumnsForPlan(TableFilter[] filters)

### Method Detail

#### add

    public void add(Column newCol)

Called by ExpressionVisitor.

Parameters:
  `newCol` - new column to be added.

#### get

    public java.util.ArrayList<Column> get(Table table)

Used by index to calculate the cost of a scan.

Parameters:
  `table` - the table.
Returns:
  all table's referenced columns.